# Uses of Enum Class
org.bukkit.entity.Evoker.Spell

Packages that use Evoker.Spell
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of Evoker.Spell in org.bukkit.entity

Methods in org.bukkit.entity that return Evoker.Spell
Modifier and Type
Method
Description
`@NotNull Evoker.Spell`
Evoker.`getCurrentSpell()`
Deprecated.
future versions of Minecraft have additional spell casting entities.
`static Evoker.Spell`
Evoker.Spell.`valueOf(String name)`
Deprecated.
Returns the enum constant of this class with the specified name.
`static Evoker.Spell[]`
Evoker.Spell.`values()`
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.entity with parameters of type Evoker.Spell
Modifier and Type
Method
Description
`void`
Evoker.`setCurrentSpell(@Nullable Evoker.Spell spell)`
Deprecated.
future versions of Minecraft have additional spell casting entities.